summaryrefslogtreecommitdiff
path: root/continuedev
diff options
context:
space:
mode:
authorKirill Dubovitskiy <kirill2003de@gmail.com>2023-08-06 18:49:50 -0700
committerKirill Dubovitskiy <kirill2003de@gmail.com>2023-08-06 18:49:50 -0700
commitc3723a132f5c45adb765301b7854ca6b4b6ce82c (patch)
tree8758020beefba2f76386b744f529c0528f9964a9 /continuedev
parent400d1da490dab08a9b2ef2c88ab842ae5bc75620 (diff)
downloadsncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.tar.gz
sncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.tar.bz2
sncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.zip
Added a task to install all dependencies from top level without having to figure out commands in multiple sub projects. Developers should run this before the first debugging session and anytime they pull
Diffstat (limited to 'continuedev')
-rwxr-xr-xcontinuedev/install-dependencies.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/continuedev/install-dependencies.sh b/continuedev/install-dependencies.sh
new file mode 100755
index 00000000..8f1b5d27
--- /dev/null
+++ b/continuedev/install-dependencies.sh
@@ -0,0 +1,16 @@
+
+#!/bin/bash
+
+# Check if Poetry is installed
+if ! command -v poetry &> /dev/null
+then
+ echo "Poetry not found, installing..."
+ curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+# Install or update dependencies & create .venv if it doesn't exist
+echo "Installing dependencies..."
+poetry install
+
+echo "Running type generation..."
+poetry run typegen